
Redmine - Defect #37706

Failed when migrating db

2022-09-23 04:35 - j ronald

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Gems support Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 5.0.2

Description

Env

FreeBSD 13.1 amd64

Redmine 5.0.2

Problem

Install redmine 5 following the offical doc at https://www.redmine.org/projects/redmine/wiki/RedmineInstall

excpet that redmine 4 db is restored before `bundle exec rake db:migrate`

% bundle config set --local without 'development test'

% set RAILS_ENV=production

# restore redmine 4 db, then try to migrate to readmine 5 as below

% bundle exec rake db:migrate

rake aborted!

LoadError: cannot load such file -- listen

% bundle info listen

Could not find gem 'listen', because it's in the gorup 'development', configured to be ignored.

History

#1 - 2022-09-25 08:25 - j ronald

Tested on Linux, no problem for Linux, so it's FreeBSD specific.

#2 - 2022-09-27 16:59 - j ronald

Solved as below for csh/tcsh

env RAILS_ENV=production bundle exec rake db:migrate

#3 - 2022-09-27 17:00 - j ronald

- Status changed from New to Resolved

#4 - 2022-10-02 09:40 - Marius BĂLTEANU

- Status changed from Resolved to Closed

- Resolution set to Invalid

Thanks for your feedback, closing!
